<?php

class viewRegistry
{
	public $view_data;
	public $link1_text;
	public $link2_text;
	public $default_var = "Default data";
}

class testModel
{
	private $data = "some private data stored by the \"model\" ";
	private $link1_text = "This message is private: You clicked the first link to show this private data from the \"model\" ";
	private $link2_text = "This message is private too: You clicked the second link to show this private data from the \"model\" ";

	public $view_registry;
	
	function __construct()
	{
		//construct a view_registry object
		$this->view_registry = new viewRegistry();
	}
	
	function set_view_data()
	{
		//some data processing here... (business logic)
		$this->view_registry->view_data = $this->data;
	}
	
	function set_link1_text()
	{
		$this->view_registry->link1_text = $this->link1_text;
	}
	
	function set_link2_text()
	{
		$this->view_registry->link2_text = $this->link2_text;
	}
};


?>